%define	name	pixieplus
%define	version	0.5.4
%define	release	6mdk

Summary:	An image and photo viewer, browser, manager and simple editor 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	BSD
Group:		Graphical desktop/KDE
Url:		http://www.mosfet.org/pixie/
Requires:	mandrake-mime
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot
BuildRequires:	kdelibs-devel ungif-devel libjpeg-devel libpng-devel XFree86-devel
BuildRequires:  ImageMagick-devel arts
Buildrequires:  fam-devel libltdl-devel tiff-devel

%description
PixiePlus, the successor to Pixie, is an image/photo application 
designed to enable you to browse, manage, and view large numbers 
of images efficently as well as to do basic editing such as 
adjusting contrast/brightness, scaling an image or applying effects. 
It can be thought of as a combination of ACDSeeTM and Paint Shop ProTM.

%prep
%setup  -q 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" FFLAGS="$RPM_OPT_FLAGS" \
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--program-transform-name=pixie \
		--enable-final \
		--with-xinerama
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d %{buildroot}%{_menudir}

kdedesktop2mdkmenu.pl pixieplus "Multimedia/Graphics" %{buildroot}%{_datadir}/applnk/Graphics/pixie.desktop %{buildroot}%{_menudir}/pixieplus 

rm -rf %buildroot/%_datadir/mimelnk/image/*.desktop

install -d %{buildroot}{%_miconsdir,%_liconsdir}
install -m644 %{buildroot}%_iconsdir/hicolor/16x16/apps/pixie.png %{buildroot}%_miconsdir/
install -m644 %{buildroot}%_iconsdir/hicolor/32x32/apps/pixie.png %{buildroot}%_iconsdir/
install -m644 %{buildroot}%_iconsdir/hicolor/48x48/apps/pixie.png %{buildroot}%_liconsdir/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%{clean_menus}


%files  
%defattr(-,root,root)
%_bindir/*
#%_includedir/* (conflict with libungif-devel)
%_libdir/pixie*
%_libdir/libpixie*
#%_libdir/libminimagick*
#%_libdir/libgif_pixie*
%_menudir/*
%_datadir/applnk/Graphics/*
%_datadir/apps/konqueror/servicemenus/konqPixie.desktop
%dir %_datadir/apps/pixie
%_datadir/apps/pixie/*
%_iconsdir/locolor/16x16/*
%_iconsdir/locolor/22x22/*
%_iconsdir/locolor/32x32/*
%_iconsdir/hicolor/16x16/*
%_iconsdir/hicolor/22x22/*
%_iconsdir/hicolor/32x32/*
%_iconsdir/hicolor/48x48/*
%_miconsdir/pixie.png
%_iconsdir/pixie.png
%_liconsdir/pixie.png
#%_datadir/mimelnk/image/*.desktop (conflict with mandrake-mime)

%doc app/LICENSE 

%changelog
* Wed Nov 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.5.4-6mdk
- rebuild for lastest ImageMagick
- fix BuildRequires for 64 build

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5.4-5mdk
- rebuild
- pass compile flags to %%configure in stead of %%make
- --enable-final
- --with-xinerama

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-4mdk
- buildrequires

* Mon Feb 24 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.5.4-3mdk
- Rebuilt against latest ImageMagick package.

* Sun Feb 09 2003 Laurent Culioli <laurent@pschit.net> 0.5.4-2mdk
- fix doc
- change license

* Sun Feb 09 2003 Laurent Culioli <laurent@pschit.net> 0.5.4-1mdk
- 0.5.4

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.3-1mdk
- Update

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3-5mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Fixed icons for menu
	- Cleanups

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- add BuildRequires libfam0-devel libltdl3-devel libtiff3-devel

* Thu Aug 15 2002 Laurent CULIOLI <laurent@pschit.net> 0.3-3mdk
- Rebuild with gcc3.2

* Mon Aug 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3-2mdk
- Rebuild with gcc3.2

* Thu May 30 2002 Laurent CULIOLI <laurent@mandrakesoft.com> 0.3-1mdk
- first mdk package
- fix compil with gcc3.1

